# rename-computer

# set up network
write-host "Basic network setup"
Get-NetAdapter | Format-Table
$alias  = Read-Host 'Enter name of network adapter'
$ip = Read-Host 'IP address'
$gateway = Read-Host 'Gateway'
$dns1 = Read-Host 'Primary DNS'
#$dns2 = Read-Host 'Secondary DNS' #don't have a secondary DNS on our demo network
New-NetIPAddress -InterfaceAlias $alias -IPAddress $ip -PrefixLength 16 -DefaultGateway $gateway # Set the IP address and gateway
Set-DnsClientServerAddress -InterfaceAlias $alias -ServerAddresses ($dns1) # required

#install features
write-host 'Installing Replication, Cluster features'
Install-WindowsFeature -name "FS-DFS-Replication","Failover-Clustering" -IncludeManagementTools

$domain = Read-Host "Do you want to join a domain? 'y' for yes, any other to skip"
if ($domain.tolower().startswith("y")) 
{
	add-computer # joins domain
}
write-host "System will reset"
pause # let the user read any error messages
Restart-Computer